« 今日のお天気とごはん | トップページ | 嫁から酒禁止令が »

2007年4月 2日 (月)

USBView がインストールできない話。

USBView がインストールできない話。
Vine 4.xは、GTK 2.xを(やっと(w )サポート。
USBViewは、GTK 1.2を要求。
GTKの共存はよくわかんないので、あきらめモード...orz

以下やったことめも(だめだけど(w)
Synapticではとって来られない風味なので、ソースRPMからリビルド

USBView and other Linux USB stuff
http://www.kroah.com/linux-usb/

$ su -
# rpm -Uvh usbview-1.0-1.src.rpm
# cd /root/rpm/SPECS/
# rpm -bb usbview.spec

あれれ?

エラー: 旧来の構文はサポートされません: serial
エラー: 11 行目: 不明なタグ: Serial:

とりあえず /root/rpm/SPECS/usbview.spec を、viで開いて、以下の2行を削除して

Serial:                %{serial}
Copyright:      GPL

以下の1行を追記。

License:    GPL

んで、再度リビルド。

# rpm -bb usbview.spec

あれー?

checking for gtk-config... no
checking for GTK - version >= 1.2.0... no
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
configure: error: Cannot find GTK: Is gtk-config in path?
エラー: /var/tmp/rpm-tmp.96308 の不正な終了ステータス (%build)

RPM ビルドエラー:
    /var/tmp/rpm-tmp.96308 の不正な終了ステータス (%build)

んー、GTKのgtk-configが見付からない風味...orz
HDDの中を探してみると、

# locate gtk-config

本当にない...orz

調べてみたら、gtk-config って、GTK 1.2系のみで、GTK 2.xではなくなった風味。Vine Linux 4.1は、gtk+-2.8とのことなので、この方法では無理?

|

« 今日のお天気とごはん | トップページ | 嫁から酒禁止令が »

Linux」カテゴリの記事

コメント

コメントを書く



(ウェブ上には掲載しません)




トラックバック

この記事のトラックバックURL:
http://app.cocolog-nifty.com/t/trackback/163245/14576052

この記事へのトラックバック一覧です: USBView がインストールできない話。:

« 今日のお天気とごはん | トップページ | 嫁から酒禁止令が »